Bug 1784454 - Auto attach option is being set to null after activation key is created
Summary: Auto attach option is being set to null after activation key is created
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Activation Keys
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Jonathon Turel
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-17 13:38 UTC by Roman Plevka
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28676 Normal Closed Auto attach option is being set to null after activation key is created 2020-03-30 13:34:00 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:19 UTC

Description Roman Plevka 2019-12-17 13:38:19 UTC
Description of problem:
whenever we create an activation key, something sets the auto-attach to null.
this is visible in audits:
there are 2 audit records created every time:
1st, which reflects the create action (showing auto-attach being pre-set to true) and the 2ndone, which reports an UPDATE action, which sets the true back to N/A.

Visiting the AK page shows null value for the auto-attach. after we change it to either true to false, it's no longer unset.

Version-Release number of selected component (if applicable):
6.7.0-snap4

Steps to Reproduce:
1. create AK with minimum parameters
2. check the AK->subscriptions tab for the auto-attach value
3. check audit records and find 2 of them (create and update).


Additional info:
this is a regression since 6.6

Comment 4 Jonathon Turel 2020-01-07 21:50:22 UTC
Created redmine issue https://projects.theforeman.org/issues/28676 from this bug

Comment 6 Bryan Kearney 2020-01-10 21:02:05 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28676 has been resolved.

Comment 12 errata-xmlrpc 2020-04-14 13:28:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.